Automette docs

Run an agent

POST
/api/v1/agents/{id}/run

Authorization

ApiKeyAuth
AuthorizationBearer <token>

API key from API Keys in the dashboard menu.

In: header

Path Parameters

id*string

Query Parameters

async?boolean
Defaulttrue
result?string

With async=false, which result to return. Required then.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/agents/string/run" \  -H "Content-Type: application/json" \  -d '{}'
{  "task_id": "string",  "agent_id": "string",  "status": "queued",  "outcome": "terminal",  "result": {}}